Subject: Re: [RFC_PATCHv4 4/7] submodule init: redirect stdout to stderr

From: Junio C Hamano <[email-masked]>
Date: Tue, 22 Mar 2016 10:15:17 -0700

Junio C Hamano <[email-masked]> writes:

> Sebastian Schuberth <[email-masked]> writes:
>
>> Just wondering, what's Git's policy on this? This message is neither
>> an error nor a warning, but just purely informational. As such it
>> semantically does not belong to stderr, or?
>
> Some people believe that a clean execution should not give anything
> to stderr (Tcl is one example, IIRC), but I think the core part of
> Git takes the opposite stance (probably unix tradition?).  Anything
> that is not the primary output of the program should go to stdout.

Ehh, "should go to" is obviously "should not go to".

>
> We may not have been very strict in code reviews to enfore it, and
> especially on the fringes of the system it may be easy to find
> violators, though.